.modal
  height: 100%
  left: 0
  padding: 20px 0
  position: fixed
  top: 0
  width: 100%
  z-index: 999

  .modal-blind
    +position(absolute, 0px)
    +transition(opacity 300ms ease-out)
    background-color: $color-black
    opacity: 0

  &.active
    .modal-blind
      opacity: 0.85

    .modal-container
      opacity: 1

  .close-button
    color: white
    cursor: pointer
    position: fixed
    right: 25px
    top: 25px

    &:before
      +icon
      +icon-close
      font-size: 40px

  .modal-container
    +transition(opacity 300ms ease-out)
    background-color: #fff
    border: 1px solid $color-grey-border
    color: $color-grey-text
    left: 50%
    margin-left: -($modal-width / 2)
    opacity: 0
    padding: 50px 30px
    position: fixed
    text-align: center
    top: 100px
    width: $modal-width

    &.small-screen
      top: 0
      max-height: 100%
      overflow-y: scroll

    p
      display: block
      margin-bottom: 2em

    #{$all-text-inputs}
      background-color: $color-grey-background
      border: 1px $color-grey-border solid
      width: $modal-width - 120px

      &.error
        border-color: $color-orange

    > *
      padding: 0 30px

    .title
      font-family: $font-family-header
      color: $color-black
      font-size: 20px
      padding-bottom: 1em

    .submit-button,
    .ok-button
      @extend .button
      margin-bottom: 15px

    .cancel-button
      color: black
      text-decoration: underline
      background: none
      cursor: pointer

      &:before
        +icon
        +icon-arrow-left
        font-size: 15px
        margin-right: 0.5em
        position: relative
        text-decoration: none
        top: 3px
